# Form implementation generated from reading ui file 'src/eric7/Plugins/CheckerPlugins/CodeStyleChecker/CodeStyleStatisticsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_CodeStyleStatisticsDialog(object):
    def setupUi(self, CodeStyleStatisticsDialog):
        CodeStyleStatisticsDialog.setObjectName("CodeStyleStatisticsDialog")
        CodeStyleStatisticsDialog.resize(531, 372)
        self.verticalLayout = QtWidgets.QVBoxLayout(CodeStyleStatisticsDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.statisticsList = QtWidgets.QTreeWidget(parent=CodeStyleStatisticsDialog)
        self.statisticsList.setAlternatingRowColors(True)
        self.statisticsList.setRootIsDecorated(False)
        self.statisticsList.setWordWrap(True)
        self.statisticsList.setObjectName("statisticsList")
        self.verticalLayout.addWidget(self.statisticsList)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.filesChecked = QtWidgets.QLabel(parent=CodeStyleStatisticsDialog)
        self.filesChecked.setObjectName("filesChecked")
        self.gridLayout.addWidget(self.filesChecked, 0, 0, 1, 1)
        self.filesIssues = QtWidgets.QLabel(parent=CodeStyleStatisticsDialog)
        self.filesIssues.setObjectName("filesIssues")
        self.gridLayout.addWidget(self.filesIssues, 0, 1, 1, 1)
        self.totalIssues = QtWidgets.QLabel(parent=CodeStyleStatisticsDialog)
        self.totalIssues.setObjectName("totalIssues")
        self.gridLayout.addWidget(self.totalIssues, 1, 0, 1, 1)
        self.ignoredIssues = QtWidgets.QLabel(parent=CodeStyleStatisticsDialog)
        self.ignoredIssues.setObjectName("ignoredIssues")
        self.gridLayout.addWidget(self.ignoredIssues, 1, 1, 1, 1)
        self.fixedIssues = QtWidgets.QLabel(parent=CodeStyleStatisticsDialog)
        self.fixedIssues.setObjectName("fixedIssues")
        self.gridLayout.addWidget(self.fixedIssues, 2, 0, 1, 1)
        self.securityOk = QtWidgets.QLabel(parent=CodeStyleStatisticsDialog)
        self.securityOk.setObjectName("securityOk")
        self.gridLayout.addWidget(self.securityOk, 2, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=CodeStyleStatisticsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(CodeStyleStatisticsDialog)
        self.buttonBox.accepted.connect(CodeStyleStatisticsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(CodeStyleStatisticsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(CodeStyleStatisticsDialog)
        CodeStyleStatisticsDialog.setTabOrder(self.statisticsList, self.buttonBox)

    def retranslateUi(self, CodeStyleStatisticsDialog):
        _translate = QtCore.QCoreApplication.translate
        CodeStyleStatisticsDialog.setWindowTitle(_translate("CodeStyleStatisticsDialog", "Code Style Checker Statistics"))
        self.statisticsList.headerItem().setText(0, _translate("CodeStyleStatisticsDialog", "Code"))
        self.statisticsList.headerItem().setText(1, _translate("CodeStyleStatisticsDialog", "Open"))
        self.statisticsList.headerItem().setText(2, _translate("CodeStyleStatisticsDialog", "Ignored"))
        self.statisticsList.headerItem().setText(3, _translate("CodeStyleStatisticsDialog", "Message"))
